#! /bin/sh

. "$__appdir/funcs";

load_cfg;
load_loc;

export PREFS_DIALOG='
<window title="'"$LOC_prefs_title"'" icon-name="gtk-preferences">
	<vbox>
		<hbox><text><label>"'"$LOC_prefs_notimpl"'"</label></text></hbox>
		<hbox>
			<button>
				<input file stock="gtk-edit"></input>
				<label>"'"$LOC_prefs_edit_cfg"'"</label>
				<action>exit:Config</action>
			</button>
		</hbox>
		<hbox>
			<button cancel></button>
			<button can-default="true" has-default="true" use-stock="true">
				<label>gtk-ok</label>
				<action>exit:OK</action>
			</button>
		</hbox>
	</vbox>
</window>
';

oIFS="$IFS";
IFS='
';

for x in `gtkdialog3 --center --program=PREFS_DIALOG`; do
	IFS="$oIFS";
	eval $x;
done

[ "$EXIT" != "Config" ] && exit;

echo "$cfg_editor \"$__cfg_file\"";
$cfg_editor "$__cfg_file";
